/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.isobus.tree;

import nl.cloudfarming.client.isobus.model.CommentListValue;
import org.openide.nodes.AbstractNode;
import org.openide.nodes.Children;
import org.openide.util.NbBundle;
import org.openide.util.lookup.Lookups;

/**
 * Node For the {@link CommentListValue}
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
@NbBundle.Messages("isobus project taskdata node name comment list value=Comment value ({0})")
public class CommentListValueNode extends AbstractNode {
    
    private static final String COMMENT_VALUE_NODE_ICON = "nl/cloudfarming/client/isobus/tree/isobus_taskdata_comment_value.png";
    
    public CommentListValueNode(CommentListValue commentListValue){
        super(Children.LEAF, Lookups.fixed(commentListValue));
        setName(Bundle.isobus_project_taskdata_node_name_comment_list_value(commentListValue.getDesignator()));
        setIconBaseWithExtension(COMMENT_VALUE_NODE_ICON);
        
    }
    
}
