/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.isobus.tree;

import java.util.List;
import nl.cloudfarming.client.isobus.model.DataLogValue;
import nl.cloudfarming.client.isobus.model.DeviceElement;
import org.openide.nodes.ChildFactory;
import org.openide.nodes.Node;

/**
 * <p>Child factory for the {@link DataLogValue} object</p>
 * <p>Possible children are {@link DeviceElement}
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
public class DataLogValueChildFactory extends ChildFactory<DataLogValue> {
    
    private final DataLogValue dataLogValue;
    
    
    public DataLogValueChildFactory(DataLogValue dataLogValue){
        this.dataLogValue = dataLogValue;
    }

    @Override
    protected boolean createKeys(List<DataLogValue> toPopulate) {
        toPopulate.add(dataLogValue);
        return true;
    }
    
    @Override
    protected Node createNodeForKey(DataLogValue dataLogValue) {
        return new DeviceElementNode((DeviceElement)dataLogValue.getDeviceElementIdRef());
    }
    
}
